gunnar: server install-kolab.sh,1.2,1.3

cvs at kolab.org cvs at kolab.org
Thu Aug 2 10:39:24 CEST 2007


Author: gunnar

Update of /kolabrepository/server
In directory doto:/tmp/cvs-serv24561

Modified Files:
	install-kolab.sh 
Log Message:
Update the install script to allow selecting add on packages.

Index: install-kolab.sh
===================================================================
RCS file: /kolabrepository/server/install-kolab.sh,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -d -r1.2 -r1.3
--- install-kolab.sh	27 Jul 2007 06:23:22 -0000	1.2
+++ install-kolab.sh	2 Aug 2007 08:39:21 -0000	1.3
@@ -9,17 +9,26 @@
 
 INSTALL=""
 
+PACKAGES="openpkg-tools kolabd kolab-webadmin kolab-resource-handlers"
+
 #Flags
 FLAG_BASE=""
 FLAG_ENV=""
 FLAG_CLEAN=""
+FLAG_FBVIEW=""
 
 usage() {
 	echo "Usage:"
+	echo "  $0         (will try to determine mode of action itself)"
+	echo 
 	echo "  $0 -i directory/openpkg-*-*.src.sh"
 	echo "  $0 -i directory/openpkg-*-*.ix86-debian4.0.sh"
 	echo "  $0 -i directory"
 	echo 
+	echo "Options:"
+	echo
+	echo "  -F         (install the free/busy view frontend)"
+	echo
 	echo "  -h         (display this help)"
 	echo 
 	echo "Advanced options:"
@@ -42,7 +51,7 @@
 	exit 1
 }
 
-while getopts hcBDSEi:V:p:I:u:t: ARGS; do
+while getopts hcBDSEFi:V:p:I:u:t: ARGS; do
    case $ARGS in
       h) # Display help
          usage
@@ -71,6 +80,9 @@
       E) # User only wants the basic openpkg environment
          FLAG_ENV="Yes"
          ;;
+      F) # User wants to install fbview
+         FLAG_FBVIEW="Yes"
+         ;;
       c) # User wants to erase the openpkg environment
          FLAG_CLEAN="Yes"
          ;;
@@ -90,6 +102,10 @@
 	USER=$TAG
 fi
 
+if [ -n "$FLAG_FBVIEW" ]; then
+	PACKAGES="$PACKAGES fbview-kronolith"
+fi
+
 if [ -z "$PREFIX" ]; then
 	PREFIX="/$TAG"
 fi
@@ -260,9 +276,7 @@
 		-Dkolab-webadmin::kolab_version=$KOLAB_VERSION
 		"
 	fi
-	"$PREFIX/bin/openpkg" build -kK -r "$DIR" -p "$PLATTAG" $DEFINE \
-	openpkg-tools kolabd kolab-webadmin kolab-resource-handlers kolab-horde-fbview | sh \
-	|| exit $?
+	"$PREFIX/bin/openpkg" build -kK -r "$DIR" -p "$PLATTAG" $DEFINE $PACKAGES | sh || exit $?
 fi
 
 exit 0





More information about the commits mailing list